import javax.swing.*;
import java.awt.*;

/**
	This class displays the help dialog. It lists all the Principal Investigators in WISE
	 * @author Ashwini Kuntamukkala
	 * @version 	%I%, %G%
 * @since       JDK1.2
*/
public class HelpDialog extends JDialog
{
/**
		Constructor takes two parameters.
		1. Reference to a JFrame
		2. Whether the Dialog window should be model or not
*/
	public HelpDialog(JFrame frame, boolean modal)
	{
		super(frame, modal);
		setTitle("Help on wumpus world server");
		JTextArea jTA = new JTextArea();
		jTA.setEditable(false);
		jTA.setText("\n\t-----------------------------" +
					"\n\tChief Investigators : " +
					"\n\t-----------------------------" +
					"\n\t1. Dr.Diane J Cook\n\t2. Dr.Lawrence B. Holder\n\t3. Dr.Sajal Das\n\t4. Dr.Ramesh Yerraballi\n\t5. Dr.Farhad Kamangar\n\t6. Dr. Manfred Huber" +
					"\n\n\tAt : " +
					"\n\tDepartment of Computer Science Engineering\n" +
					"\tUniversity of Texas, Arlington"
		);
		getContentPane().setLayout(new BorderLayout());
		getContentPane().add(jTA, BorderLayout.CENTER);
		setSize(400,300);

	}

}
