
/**
Defines the various modes that any Wumpus can have.
  @author Kruti Mehta
 * @version 	%I%, %G%
 * @since       JDK1.2

*/


public class WumpusMode
{
   public static int STAY = 1;
   public static int SPIN = 2;
   public static int WALK = 3;


   public static int GOTO_GOLD = 4;
   public static int GOTO_PIT = 5;
   public static int RANDOM = 6;

	/**
		This method converts the wumpus mode to printable format
		@return String
	*/
   public static String toString(int mode)
   {
    switch(mode)
    {
     case 1:
      return "STAY";
     case 2:
      return "SPIN";
     case 3:
      return "WALK";
     case 4:
      return "GOTO_GOLD";
     case 5:
      return "GOTO_PIT";
     default:
      return "RANDOM";
    }
   }
}