import javax.swing.*;
import java.awt.*;

/**
	This class displays the status of the game in a dialog
 * @author Ashwini Kuntamukkala
 * @version 	%I%, %G%
 * @since       JDK1.2

*/
public class GameStatusDialog extends JDialog
{
	private JTextArea statusArea;
	/**
		Constructor takes two parameters.
		1. Reference to a JFrame
		2. Whether the Dialog window should be model or not
	*/
	public GameStatusDialog(JFrame frame, boolean modal)
	{
		super(frame, modal);
		setTitle("Status of game");
		getContentPane().setLayout(new BorderLayout());
		statusArea = new JTextArea();
		statusArea.setEditable(false);
		getContentPane().add(new JScrollPane(statusArea), BorderLayout.CENTER);
		setSize(400,400);
	}
  /**
   Returns the JTextArea of the dialog in which the text is displayed
   @return statusArea, the JTextArea in which the text is displayed
   */
	JTextArea getStatusArea()
	{
		return statusArea;
	}
}
