import java.io.*;
import java.util.*;
import java.lang.*;
import java.net.*;

public class ImageTransmitter {
	Socket socket = null;

	public ImageTransmitter () {
		try {
			socket = new Socket ( "127.0.0.1", 5010 );
		} catch ( Exception e ) {
			e.printStackTrace ();
		}
	}	

	public void transmitImage ( int[][][] arr, int h, int w ) {
		writeAsIsToSocket ( arr, h, w );
		try {
			socket.close ();
		} catch ( Exception e ) {
			e.printStackTrace ();
		}
	}

	private void writeAsIsToSocket ( int[][][] arr, int h, int w ) {

		try {
			DataOutputStream out = new DataOutputStream(socket.getOutputStream()); 
			out.writeByte( (byte)h );
			out.writeByte( (byte)w );

			for ( int i = 0; i < h; i++ ) 
				for ( int j = 0; j < w; j++ )
					for ( int k = 0; k < 3; k++ ) 
						out.writeByte( (byte) arr[i][j][k] );

			out.close ();
				
		} catch ( Exception e ) {
			System.out.println ( e.getMessage () );
			e.printStackTrace ();
		}

	}

}
