import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

class ProgressBar
		extends 	JDialog

 {
	private	JProgressBar    progress;
	private	JLabel          label1;
	private	JPanel          topPanel;


	public ProgressBar(JFrame frame, boolean modal)
	{
		super(frame, modal);
		setTitle( "Starting Wumpus World Server" );

		setBackground( Color.gray );

		topPanel = new JPanel();
		topPanel.setPreferredSize( new Dimension( 310, 130 ) );
		getContentPane().add( topPanel );

		// Create a label and progress bar
		label1 = new JLabel( "Waiting to start tasks..." );
		label1.setPreferredSize( new Dimension( 280, 24 ) );
		topPanel.add( label1 );

		progress = new JProgressBar();
		progress.setPreferredSize( new Dimension( 300, 20 ) );
		progress.setMinimum( 0 );
		progress.setMaximum( 20 );
		progress.setValue( 0 );
		progress.setBounds( 20, 35, 260, 20 );
		topPanel.add( progress );

		Progress p = new Progress();
		p.start();



	}

    public void startAction()
    {
			for( int iCtr = 1; iCtr < 21; iCtr++ )
			{
				// Do some sort of simulated task
				DoBogusTask( iCtr );


				progress.setValue( iCtr );
				Rectangle progressRect = progress.getBounds();
				progressRect.x = 0;
				progressRect.y = 0;
				progress.paintImmediately( progressRect );
			}
		hide();
	}


	public void DoBogusTask( int iCtr )
	{
		try
		{
			Thread.sleep(100);
		}
		catch(InterruptedException e)
		{

		}
	}


	private class Progress extends Thread
	{
		public void run()
		{
			DoBogusTask(1);
			startAction();
		}
	}
}

